System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. Interface for implementing modules. Modules are used to implement extensions to the HTTP application execution pipeline (caching, authentication, state management, hooks, and more). The default modules loaded are listed in the machine.config and they can be extended by providing a web.config file on the application directory.

This interface is the base interface required by every module author.

Developers typically hook up to one or more events in the HttpApplication in their implementation of the method.

- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'HttpApplication' To be added To be added 1.0.5000.0 2.0.0.0